Last modified: 2012-04-19 15:29:48 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35469 - Let LocalisationUpdate fetch from Git
Let LocalisationUpdate fetch from Git
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
LocalisationUpdate (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Antoine "hashar" Musso (WMF)
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-25 14:44 UTC by Raimond Spekking
Modified: 2012-04-19 15:29 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Raimond Spekking 2012-03-25 14:44:17 UTC
Let LocalisationUpdate fetch from Git now that core and WMF deployed extensions are living in Git and new translations are pushed/comitted to Git by user l10n-bot.
Comment 1 Sam Reed (reedy) 2012-03-25 20:54:45 UTC
AFAIK Roan has already done this in Puppet, it just needs updating to site ec
Comment 2 Sumana Harihareswara 2012-03-26 18:41:28 UTC
Antoine, can you take care of this? Thanks.
Comment 3 Antoine "hashar" Musso (WMF) 2012-03-27 18:11:16 UTC
talked with Roan about it. Change is already pending in Gerrit for ops to merge in : https://gerrit.wikimedia.org/r/#change,2786

Change was rejected pending git migration. Will check with ops to have it merged, deployed and tested.
Comment 4 Antoine "hashar" Musso (WMF) 2012-03-27 18:57:44 UTC
The script has been deployed by operations team. We now have to verify it runs as expected.
Comment 5 Antoine "hashar" Musso (WMF) 2012-03-28 19:38:09 UTC
The cron job runs at 02:00 UTC every night so someone should be able to confirm script is running correctly and that this bug is indeed resolved.
Comment 6 Mark A. Hershberger 2012-03-28 19:48:52 UTC
<RoanKattouw> 02:10 logmsgbot: LocalisationUpdate completed (1.19) at Wed Mar
              28 02:10:34 UTC 2012  [15:47]
<Nikerabbit> another example:
             http://eo.wikipedia.org/wiki/MediaWiki:Webfonts-preview-sampletext
             vs. https://gerrit.wikimedia.org/r/#patch,sidebyside,3654,1,WebFonts.i18n.php
<RoanKattouw> So it ran, supposedly


Not working yet.
Comment 7 Antoine "hashar" Musso (WMF) 2012-03-28 19:49:17 UTC
Niklas has provided a verification case:

https://gerrit.wikimedia.org/r/#patch,sidebyside,3650,1,Narayam.i18n.php

It updates the narayam-menu-tooltip message for da language.

Verify http://da.wikipedia.org/wiki/MediaWiki:Narayam-menu-tooltip

The page should not show 'Kontroller Narayam indtastningsmetoderedigeringen'
Comment 8 Roan Kattouw 2012-03-29 11:06:21 UTC
This should be fixed with https://gerrit.wikimedia.org/r/#change,3885 , which is under review. I ran it on the cluster last night (after some manual setup of the extensions clones) and it successfully updated the translations.
Comment 9 Antoine "hashar" Musso (WMF) 2012-04-04 09:43:28 UTC
I just did a first review of change 3885.
Comment 10 Antoine "hashar" Musso (WMF) 2012-04-19 15:29:48 UTC
Patch updated by Roan.

Gerrit change #3885 has been merged and deployed by Leslie on Apr 17th, 2012.

So this bug is solved now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links